This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 698929 - RFE: qemu-img should support create T virtue size image
RFE: qemu-img should support create T virtue size image
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
: FutureFeature
Depends On:
Blocks: Rhel5KvmTier3
  Show dependency treegraph
 
Reported: 2011-04-22 06:22 EDT by juzhang
Modified: 2011-07-29 03:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 03:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description juzhang 2011-04-22 06:22:59 EDT
Description of problem:
on rhel5.7,we don't support create T virtue size img

If I want to create 2T value virtue size qcow2 img.I have to 

#qemu-img create -f qcow2 test.qcow2 2028G
Formatting 'test.qcow2', fmt=qcow2, size=2126512128 kB

#qemu-img info test.qcow2
image: test.qcow2
file format: qcow2
virtual size: 2.0T (2177548419072 bytes)
disk size: 172K
cluster_size: 65536

 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.qemu-img create -f qcow2 test.qcow2 2T

2.
3.
  
Actual results:
can't create.

Expected results:
should be support create T virtue size image

Additional info:
On rhel6.1,we support
#qemu-img create -f qcow2 test.qcow2 3T
Formatting 'test.qcow2', fmt=qcow2 size=3298534883328 encryption=off cluster_size=0 
# qemu-img info test.qcow2
image: test.qcow2
file format: qcow2
virtual size: 3.0T (3298534883328 bytes)
disk size: 180K
cluster_size: 65536
Comment 2 Kevin Wolf 2011-07-29 03:48:44 EDT
We won't introduce new features in RHEL 5 any more.

Note You need to log in before you can comment on or make changes to this bug.